<?php

namespace kernel\widgets\IconBtn;

use kernel\Widget;
use kernel\widgets\ActionButtonWidget;

class IconBtnCreateWidget extends Widget
{
    public static function create(array $data = []): IconBtnCreateWidget
    {
        return new static($data);
    }

    public function run()
    {
        $url = $this->data['url'];

        return ActionButtonWidget::create([
            'label' => "<i class='fa-regular fa-square-plus'></i>",
            'url' => $url,
            'btn_type' => "success",
            'title' => "Создать"
        ])->run();
    }
}